Bug 1002454 - [RFE] Possibility to install host into engine VM without running through the whole installation process again.
Summary: [RFE] Possibility to install host into engine VM without running through the ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.6.0
Assignee: Simone Tiraboschi
QA Contact: Artyom
URL:
Whiteboard: integration
Depends On: 1139019 1139020 1215623 1220824
Blocks: 1199907 1234915
TreeView+ depends on / blocked
 
Reported: 2013-08-29 08:59 UTC by Leonid Natapov
Modified: 2016-02-19 06:58 UTC (History)
15 users (show)

Fixed In Version: ovirt-hosted-engine-setup-1.2.0-0.2.master.el6_5
Doc Type: Enhancement
Doc Text:
It is now possible to resume a Hosted Engine deployment with the command 'hosted-engine --deploy --config-append=/path/to/answer.conf' after the OS and Red Hat Enterprise Virtualization Manager have been installed on the engine virtual machine, providing the disk image has not been deleted from the storage domain. In this circumstance, the user only needs to confirm the OS and the Manager have been installed for the deployment to continue.
Clone Of:
: 1199907 (view as bug list)
Environment:
Last Closed: 2015-09-01 11:54:37 UTC
oVirt Team: Integration
Target Upstream Version:
mavital: needinfo+
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1063377 unspecified CLOSED [RFE] Make it possible to recover from setup failure when the engine VM is installed and running 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHEA-2016:0375 normal SHIPPED_LIVE ovirt-hosted-engine-setup bug fix and enhancement update 2016-03-09 23:48:34 UTC
oVirt gerrit 36307 master MERGED deploy: better matching of NFS exports paths Never

Internal Links: 1063377

Description Leonid Natapov 2013-08-29 08:59:16 UTC
Description of problem:

The scenario:

User runs ovirt-hosted-engine setup,creates VM,installs OS on that VM,installs RHEVM. All that time setup is waiting for user to install RHEVM on created VM and than press enter in order to install the host into the RHEVM.

If ,for some reason, setup was terminated at this point (cntlr-D,power off,screen window terminated) user must to do all the process again which is takes a lot of time considering that user must to create VM, install OS,update VM with all relevant packages and install RHEVM again. Could take an hour or more. We have to give user an option to install host into RHEVM setup when VM has already been created and RHEVM is already installed e.g. if user already run the setup and VM with RHEVM already created go straight to the stage where setup waits for user to hit "enter" in order to install host into RHEVM.

Comment 1 Sandro Bonazzola 2013-09-03 07:49:00 UTC
We can add a check on vm.conf and hosted-engine.conf existence and use its content for checking if the vm is already up.
If it's up, we can disable all stages before the CLOSEUP stage.
Then we need to change CLOSEUP stage for allowing to recover from the right point in the setup flow depending if the os is installed or not (checking boot media).

Comment 3 Sandro Bonazzola 2014-06-17 08:28:00 UTC
An answer file is generated at validation stage before changing the system state, including before starting the VM.
If the user run "hosted-engine --deploy --config-append=/etc/ovirt-hosted-engine/answer.conf" question are answered automatically.
If the disk image has not been deleted from the within the storage domain, it will be reused by the VM preserving the content if boot is pxe or cdrom, overwritten in boot is from ovf.
User just need to confirm that OS have been installed on first checkpoint and rhevm has been installed at second checkpoint and if rhevm was really installed and able to run everything is already in place without any more action needed.
Is this enough? If so, we can move this to closed, current release, target 3.4.0.

Comment 4 Sandro Bonazzola 2014-08-08 14:02:24 UTC
No comments n one month, assuming current state is good enough.
Moving to ON_QA. Please reopen if something more is needed.

Comment 6 Artyom 2014-11-24 09:47:27 UTC
Verified on ovirt-hosted-engine-setup-1.2.1-4.el6ev.noarch

1) Run hosted-engine --deploy
2) Continue deployment until you finish rhevm setup on vm, and interrupt setup(CTRL+D)
3) Run hosted-engine --deploy ----config-append=conf_file

deploy fill all details and only ask for accept from OS installation and for rhevm-setup

Comment 7 Andrew Burden 2014-12-18 05:15:35 UTC
Hey Sandro,

Doc text has been updated for inclusion in RHBA-2014:18366-01
Can you please give it a quick check to ensure it's still technically accurate.

Cheers,
Andrew

Comment 8 Sandro Bonazzola 2014-12-18 14:34:10 UTC
Hi Andrew, doc text looks ok to me.

Comment 9 Simone Tiraboschi 2014-12-19 17:35:05 UTC
It was still going to fail if the NFS path was entered with a trailing slash.

Comment 11 Sandro Bonazzola 2015-02-18 14:17:45 UTC
Simone, you moved to POST but the referenced patch has been merged.
Can you sync this bug status?

Comment 12 Simone Tiraboschi 2015-02-18 14:31:11 UTC
Yes, it was merged on Jan 14th so we can move it to modified

Comment 15 Artyom 2015-09-01 11:54:37 UTC
Stop support of redeploy feature under 3.6 according to https://bugzilla.redhat.com/show_bug.cgi?id=1238709#c2

Comment 16 Lucy Bopf 2016-02-19 06:58:45 UTC
Moving 'requires_doc_text' to '-', so this text will not be included in the Release Notes for 3.6.


Also updated the 'oVirt Team' field in order to allow my changes to save.


Note You need to log in before you can comment on or make changes to this bug.